Name:           switcheroo-control
Version:        2.6
Release:        1
Summary:        D-Bus service to check the availability of dual-GPU
License:        GPLv3
URL:            https://gitlab.freedesktop.org/hadess/switcheroo-control/
Source0:        %{url}-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  gcc
BuildRequires:  systemd
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  python3-dbusmock
BuildRequires:  umockdev

%{?systemd_requires}

%description
D-Bus service to check the availability of dual-GPU.

%prep
%autosetup

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%post
if [ $1 -eq 2 ] && [ -x /usr/bin/systemctl ]; then
    /usr/bin/systemctl daemon-reload
fi
%systemd_post switcheroo-control.service
%udev_hwdb_update

%preun
%systemd_preun switcheroo-control.service

%postun
%systemd_postun_with_restart switcheroo-control.service
%udev_hwdb_update

%files
%doc COPYING NEWS README.md
%{_datadir}/dbus-1/system.d/net.hadess.SwitcherooControl.conf
%{_unitdir}/switcheroo-control.service
%{_bindir}/switcherooctl
%{_libexecdir}/switcheroo-control
%{_udevhwdbdir}/30-pci-intel-gpu.hwdb
%{_mandir}/man1/switcherooctl.1*
%{_datadir}/gtk-doc/html/%{name}/

%changelog
* Sun Apr 23 2023 luoxinyuan <xyluoct@isoftstone.com> - 2.6-1
- update to 2.6

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 1.1-8
- Completing build dependencies to fix gcc compiler missing error

* Sat Nov 30 2019 lingsheng <lingsheng@huawei.com> - 1.1-7
- Package init
